[tool.poetry]
name = "service-registry"
version = "5.0.0"
description = ""
authors = [
  "Gerhard Brandt <gbrandt@cern.ch>",
  "Marvin Geyik <marvin.emin.geyik@cern.ch>",
  "Jonas Schmeing <jonas.schmeing@cern.ch>"
]

[tool.poetry.dependencies]
python = "^3.9.6"
protobuf = "3.19.0"
click = "^8.1.7"
pyyaml = "^6.0.1"
etcd3gw = "^2.2.0"
rich = "^13.7.0"
coloredlogs = "^15.0.1"
python-dotenv = "^1.0.0"
urllib3 = "1.26.6"
redis = "^5.0.1"

[tool.poetry.group.dev.dependencies]
black = "^23.11.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
